UPDATE(4)

NAME
update - flush internal filesystem caches to disk frequently

SYNOPSIS
update

DESCRIPTION
The update kernel process helps protect the integrity of disk volumes by flushing volatile cached filesystem data to disk at thirty second intervals. The update process does the equivalent of the sync(2) function call to do the task.

SEE ALSO
sync(2), fsck(8), init(8), rc(8), sync(8)

BUGS
It is possible on some systems that a sync occurring simultaneously with a crash may cause file system damage. See fsck(8).

HISTORY
An update command appeared in AT&T UNIX, and was usually started by /etc/rc when the system went multi-user. A kernel initiated update process first appeared in FreeBSD 2.0.